The company's merchant account for customer payments
GET
/v1/workspace/merchant
const url = 'https://api.vocapable.com/v1/workspace/merchant';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/merchant \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceMerchantState
The company’s own merchant account for customer payments (not Vocapable billing).
object
platform_ready
required
Platform Ready
boolean
account
required
Any of:
WorkspaceMerchantAccount
object
id
required
Id
string
provider
required
Provider
string
external_account_id
required
External Account Id
string
environment
required
Environment
string
status
required
Status
string
charges_enabled
required
Charges Enabled
boolean
details_submitted
required
Details Submitted
boolean
revision
required
Revision
integer
null
can_manage
required
Can Manage
boolean
Example
{ "platform_blocker": "platform_not_configured", "platform_environment": "test", "account": { "provider": "stripe", "environment": "test", "status": "pending" }}